Skip to content

Download interaction voicemail

Request

Security
oauth2(Required scopes: interaction:read) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

interactionIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Interaction's unique identifier to track interactions for. Can be Peach or lender's external identifier.

Query
dispositionstring

Tells the response from the file download to set the Content-Disposition header to the given value.

  • attachment means "download the file"
  • inline means "open the file in the default manner". e.g., if the file were an .mp3 the browser's default audio player would open.
Enum:"inline""attachment"
returnUrlboolean

If true, will return a URL to the content instead of redirecting to the content.

Default:false
GET
/people/{personId}/interactions/{interactionId}/voicemail-content
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/interactions/{interactionId}/voicemail-content?disposition=inline&returnUrl=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

If the returnUrl parameter is true then return the url rather than redirecting.

Bodyapplication/json
urlstring, (uri)
Response
{ "url": "http://example.com" }